function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var betterReactMathjax = require('better-react-mathjax');
var ReactMarkdown = _interopDefault(require('react-markdown'));
var RemarkMath = _interopDefault(require('remark-math'));

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };
  return _extends.apply(this, arguments);
}

var ReactMarkdownMath = function ReactMarkdownMath(_ref) {
  var markdown = _ref.markdown,
      reactMarkdownProps = _ref.reactMarkdownProps;

  var reactMarkdownPropswithMathjax = _extends({}, reactMarkdownProps, {
    remarkplugins: [RemarkMath],
    components: _extends({}, reactMarkdownProps === null || reactMarkdownProps === void 0 ? void 0 : reactMarkdownProps.components, {
      math: function math(props) {
        return React.createElement(betterReactMathjax.MathJax, null, props.value);
      },
      inlineMath: function inlineMath(props) {
        return React.createElement(betterReactMathjax.MathJax, null, props.value);
      }
    })
  });

  return React.createElement(betterReactMathjax.MathJaxContext, null, React.createElement(ReactMarkdown, Object.assign({}, reactMarkdownPropswithMathjax), markdown));
};

exports.ReactMarkdownMath = ReactMarkdownMath;
//# sourceMappingURL=index.js.map
