import { createElement } from 'react';
import { MathJax, MathJaxContext } from 'better-react-mathjax';
import ReactMarkdown from 'react-markdown';
import RemarkMath from 'remark-math';

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };
  return _extends.apply(this, arguments);
}

var ReactMarkdownMath = function ReactMarkdownMath(_ref) {
  var markdown = _ref.markdown,
      reactMarkdownProps = _ref.reactMarkdownProps;

  var reactMarkdownPropswithMathjax = _extends({}, reactMarkdownProps, {
    remarkplugins: [RemarkMath],
    components: _extends({}, reactMarkdownProps === null || reactMarkdownProps === void 0 ? void 0 : reactMarkdownProps.components, {
      math: function math(props) {
        return createElement(MathJax, null, props.value);
      },
      inlineMath: function inlineMath(props) {
        return createElement(MathJax, null, props.value);
      }
    })
  });

  return createElement(MathJaxContext, null, createElement(ReactMarkdown, Object.assign({}, reactMarkdownPropswithMathjax), markdown));
};

export { ReactMarkdownMath };
//# sourceMappingURL=index.modern.js.map
